Mediaplayer crashed with "pa_stream_writable_size() failed: Connection terminated"

Bug #496616 reported by Pavel Sandovin on 2009-12-14
366
This bug affects 78 people
Affects Status Importance Assigned to Milestone
PulseAudio
New
Unknown
pulseaudio (Ubuntu)
Undecided
Unassigned
Nominated for Lucid by Deus_Ex_Machina

Bug Description

Sometimes when totem or gmplayer plays mediafile, it chuches with error "pa_stream_writable_size() failed: Connection terminated".

I saw this bug in totem on computers with Ubuntu 9.10 i386 architecture in totem and gmplayer (but not in vlc or smplayer or mplayer runned from console).

ProblemType: Bug
Architecture: i386
CheckboxSubmission: 8a8639337c9d4a4ec96392cc5c15521b
CheckboxSystem: daed2f3d6643b4a84b4520a2427f8c2b
Date: Mon Dec 14 20:16:13 2009
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: libgstreamer0.10-0 0.10.25-2
ProcEnviron:
 LANG=ru_RU.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-9.152-rt
SourcePackage: gstreamer0.10
Uname: Linux 2.6.31-9-rt i686

Pavel Sandovin (sandovin) wrote :
summary: - Sometimes when mediafile plays in totem or any mediaplayer with
- gstreamer dependence i see "pa_stream_writable_size() failed: Connection
- terminated" error
+ Sometimes when totem (or any other gstreamer dependent mediaplayer)
+ plays mediafile, it draws error "pa_stream_writable_size() failed:
+ Connection terminated"
description: updated
summary: - Sometimes when totem (or any other gstreamer dependent mediaplayer)
- plays mediafile, it draws error "pa_stream_writable_size() failed:
- Connection terminated"
+ Mediaplayer crushed with "pa_stream_writable_size() failed: Connection
+ terminated"
description: updated

Architecture: i386
DistroRelease: Ubuntu 9.10
NonfreeKernelModules: nvidia
Package: totem 2.28.2-0ubuntu3
PackageArchitecture: i386
ProcEnviron:
 SHELL=/bin/bash
 LANG=ru_RU.UTF-8
ProcVersionSignature: Ubuntu 2.6.31
Uname: Linux 2.6.31.6-rt19-dx73-c i686
UserGroups: adm admin audio cdrom fuse plugdev video

tags: added: apport-collected

I have the same trouble. Video playback stops and I get message "pa_stream_writable_size() failed: Connection terminated". Video GeForce MX440 8x 64MB, full screen 1920x1080.

Changed in gstreamer0.10 (Ubuntu):
status: New → Confirmed
Kurt Stephens (kurt-launchpad) wrote :
Download full text (4.2 KiB)

Jan 22 01:51:41 trans3 kernel: [ 475.440185] pulseaudio[4167]: segfault at ffffffff00000008 ip 00007f5e11933eda sp 00007fff15068eb0 error 4 in libc-2.10.1.so[7f5e118be000+166000]
Jan 22 01:51:46 trans3 pulseaudio[4187]: pid.c: Stale PID file, overwriting.

> uname -a
Linux trans3 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009 x86_64 GNU/Linux

00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio Controller (rev 03)

 > dpkg -l | egrep -e 'alsa|pulse'
ii alsa-base 1.0.20+dfsg-1ubuntu5 ALSA driver configuration files
ii alsa-firmware 1.0.17-0medibuntu2.9.10.1 Contains firmware for ALSA devices - Medibun
ii alsa-firmware-loaders 1.0.20-1ubuntu1 ALSA software loaders for specific hardware
ii alsa-tools 1.0.20-1ubuntu1 Console based ALSA utilities for specific ha
ii alsa-utils 1.0.20-2ubuntu6 ALSA utilities
ii bluez-alsa 4.51-0ubuntu2 Bluetooth audio support
ii bse-alsa 0.7.1-1 ALSA plugin for BEAST
ii gstreamer0.10-alsa 0.10.25-2ubuntu1.2 GStreamer plugin for ALSA
ii gstreamer0.10-pulseaudio 0.10.16-1ubuntu3 GStreamer plugin for PulseAudio
ii libcanberra-pulse 0.15-0ubuntu7 a simple abstract interface for playing even
ii libesd-alsa0 0.2.41-5 Enlightened Sound Daemon (ALSA) - Shared lib
ii libpulse-browse0 1:0.9.19-0ubuntu4 PulseAudio client libraries (zeroconf suppor
ii libpulse-dev 1:0.9.19-0ubuntu4 PulseAudio client development headers and li
ii libpulse-mainloop-glib0 1:0.9.19-0ubuntu4 PulseAudio client libraries (glib support)
ii libpulse0 1:0.9.19-0ubuntu4 PulseAudio client libraries
rc libsdl1.2debian-alsa 1.2.13-4ubuntu4 Simple DirectMedia Layer (with X11 and ALSA
ii libsdl1.2debian-pulseaudio 1.2.13-4ubuntu4 Simple DirectMedia Layer (with X11 and Pulse
ii libsox-fmt-alsa 14.3.0-1build1 SoX alsa format I/O library
ii libsox-fmt-pulse 14.3.0-1build1 SoX PulseAudio format I/O library
rc linux-backports-modules-alsa-2.6.31-17-generic 2.6.31-17.19 Ubuntu supplied Linux modules for version 2.
ii pulseaudio 1:0.9.19-0ubuntu4 Puls...

Read more...

Kurt Stephens (kurt-launchpad) wrote :

Everything worked fine until I reinstalled 64-bit.

Kurt Stephens (kurt-launchpad) wrote :

I mean: everything worked fine on 32-bit until I reinstalled 64-bit.
Also I can't seem to boot any -pae kernels under 64-bit.
How do you completely disable all the -pae kernels in grub?

Vediovis (slambert-dublinwork) wrote :

same for me, and quite recent as well.
everything current.

uname -a: Linux my-desktop 2.6.31-18-generic #55-Ubuntu SMP Fri Jan 8 14:55:26 UTC 2010 i686 GNU/Linux

Thanks : )

Vediovis (slambert-dublinwork) wrote :
Download full text (3.3 KiB)

to complete report :
dpkg -l | egrep -e 'alsa|pulse'

ii alsa-base 1.0.20+dfsg-1ubuntu5 ALSA driver configuration files
ii alsa-utils 1.0.20-2ubuntu6 ALSA utilities
ii bluez-alsa 4.51-0ubuntu2 Bluetooth audio support
ii gstreamer0.10-alsa 0.10.25-2ubuntu1.2 GStreamer plugin for ALSA
ii gstreamer0.10-pulseaudio 0.10.16-1ubuntu3 GStreamer plugin for PulseAudio
ii libcanberra-pulse 0.15-0ubuntu7 a simple abstract interface for playing even
ii libesd-alsa0 0.2.41-5 Enlightened Sound Daemon (ALSA) - Shared lib
ii libpulse-browse0 1:0.9.19-0ubuntu4.1 PulseAudio client libraries (zeroconf suppor
ii libpulse-mainloop-glib0 1:0.9.19-0ubuntu4.1 PulseAudio client libraries (glib support)
ii libpulse0 1:0.9.19-0ubuntu4.1 PulseAudio client libraries
rc libpulsecore9 1:0.9.14-0ubuntu20.2 PulseAudio sound server core
rc libsdl1.2debian-alsa 1.2.13-4ubuntu3 Simple DirectMedia Layer (with X11 and ALSA
ii libsdl1.2debian-pulseaudio 1.2.13-4ubuntu4 Simple DirectMedia Layer (with X11 and Pulse
ii libsnack2-alsa 2.2.10-dfsg1-8ubuntu1 Sound extension to Tcl/Tk and Python/Tkinter
ii linux-backports-modules-alsa-2.6.31-18-generic 2.6.31-18.20 Ubuntu supplied Linux modules for version 2.
ii linux-backports-modules-alsa-karmic-generic 2.6.31.18.31 Backported drivers for alsa-driver snapshot.
ii pulseaudio 1:0.9.19-0ubuntu4.1 PulseAudio sound server
ii pulseaudio-esound-compat 1:0.9.19-0ubuntu4.1 PulseAudio ESD compatibility layer
ii pulseaudio-module-bluetooth 1:0.9.19-0ubuntu4.1 Bluetooth module for PulseAudio sound server
ii pulseaudio-module-gconf 1:0.9.19-0ubuntu4.1 GConf module for PulseAudio sound server
ii pulseaudio-module-udev 1:0.9.19-0ubuntu4.1 udev device detection module for PulseAudio
ii pulseaudio-module-x11 1:0.9.19-0ubuntu4.1 X11 module for PulseAudio sound server
ii pulseaudio-module-zeroconf 1:0.9.19-0ubuntu4.1 Zeroconf module for PulseAudio sound server
ii pulseaudio-utils 1:0.9.19-0ubuntu4.1 Command line tools for the ...

Read more...

Download full text (5.4 KiB)

Thanks. And so what? I had seen trouble on system with 32-bit kernel. More
info about my sistem will be published tomorrow.

2010/1/22 Kurt Stephens <email address hidden>

> Jan 22 01:51:41 trans3 kernel: [ 475.440185] pulseaudio[4167]: segfault at
> ffffffff00000008 ip 00007f5e11933eda sp 00007fff15068eb0 error 4 in
> libc-2.10.1.so[7f5e118be000+166000]
> Jan 22 01:51:46 trans3 pulseaudio[4187]: pid.c: Stale PID file,
> overwriting.
>
> > uname -a
> Linux trans3 2.6.31-17-generic #54-Ubuntu SMP Thu Dec 10 17:01:44 UTC 2009
> x86_64 GNU/Linux
>
> 00:1b.0 Audio device: Intel Corporation 82801I (ICH9 Family) HD Audio
> Controller (rev 03)
>
> > dpkg -l | egrep -e 'alsa|pulse'
> ii alsa-base 1.0.20+dfsg-1ubuntu5
> ALSA driver configuration files
> ii alsa-firmware
> 1.0.17-0medibuntu2.9.10.1 Contains firmware for ALSA
> devices - Medibun
> ii alsa-firmware-loaders 1.0.20-1ubuntu1
> ALSA software loaders for specific hardware
> ii alsa-tools 1.0.20-1ubuntu1
> Console based ALSA utilities for specific ha
> ii alsa-utils 1.0.20-2ubuntu6
> ALSA utilities
> ii bluez-alsa 4.51-0ubuntu2
> Bluetooth audio support
> ii bse-alsa 0.7.1-1
> ALSA plugin for BEAST
> ii gstreamer0.10-alsa 0.10.25-2ubuntu1.2
> GStreamer plugin for ALSA
> ii gstreamer0.10-pulseaudio 0.10.16-1ubuntu3
> GStreamer plugin for PulseAudio
> ii libcanberra-pulse 0.15-0ubuntu7
> a simple abstract interface for playing even
> ii libesd-alsa0 0.2.41-5
> Enlightened Sound Daemon (ALSA) - Shared lib
> ii libpulse-browse0 1:0.9.19-0ubuntu4
> PulseAudio client libraries (zeroconf suppor
> ii libpulse-dev 1:0.9.19-0ubuntu4
> PulseAudio client development headers and li
> ii libpulse-mainloop-glib0 1:0.9.19-0ubuntu4
> PulseAudio client libraries (glib support)
> ii libpulse0 1:0.9.19-0ubuntu4
> PulseAudio client libraries
> rc libsdl1.2debian-alsa 1.2.13-4ubuntu4
> Simple DirectMedia Layer (with X11 and ALSA
> ii libsdl1.2debian-pulseaudio 1.2.13-4ubuntu4
> Simple DirectMedia Layer (with X11 and Pulse
> ii libsox-fmt-alsa 14.3.0-1build1
> SoX alsa format I/O library
> ii libsox-fmt-pulse 14.3.0-1build1
> SoX PulseAudio format I/O library
> rc linux-backports-modules-alsa-2.6.31-17-generic 2.6.31-17.19
> Ubuntu supplied Linux modules for version 2.
> ii pu...

Read more...

I have this problem after last update totem in UNR10.04. Video files that previously played with no problems after the upgrade no longer playable. After 1-2 seconds of play to cause this error.

Renato (rtramon) wrote :

Similiar problem here with an audio over RTP stream. Audio terminates after 1-2 seconds with following error (at the RTP receiving end):
Error: pa_stream_writable_size() failed: Connection terminated

/var/log/messages contains:
Apr 24 13:15:29 moon pulseaudio[1370]: ratelimit.c: 3 events suppressed
Apr 24 13:15:34 moon pulseaudio[1370]: ratelimit.c: 6566 events suppressed
Apr 24 13:15:34 moon pulseaudio[1370]: asyncq.c: q overrun, queuing locally
Apr 24 13:15:34 moon pulseaudio[1370]: last message repeated 10 times
Apr 24 13:15:34 moon pulseaudio[1636]: pid.c: Stale PID file, overwriting.

Renato (rtramon) wrote :

After some experimentation I found out that setting the "sync" property of pulsesink to FALSE does not exhibit the error and subsequent termination of the audio pipeline.

A. Tombol (atombol) wrote :

do you guys have sound freezes with none-pulse applications too? for example audacious with alsa output?

Bernat (berarma) wrote :

VLC plays fine using pulse, Totem fails for some videos only. I've found out all videos failing have AC3 audio, most at 448kbs and some at 384kbs. Maybe related to AC3 decoding with gstreamer. The extra packages are installed. My hardware is a HP Mini 210-1010ES running an up-to-date Ubuntu 10.04.

amadis (kutchin) wrote :

Recently update my MSI U100 from UNR 9.04 by 9.10 to 10.04. Same problem, totem stops after 1-2 seconds. UNR with all updates.

Matt Zimmerman (mdz) on 2010-05-02
summary: - Mediaplayer crushed with "pa_stream_writable_size() failed: Connection
+ Mediaplayer crashed with "pa_stream_writable_size() failed: Connection
terminated"
Tim Potter (musikgoat) wrote :

I am also experiencing this bug on media playback in totem. Running 10.04 UNR on an eee 901. I don't know if its related, but the file playback was over gvfs through a samba share.

However, the media file is not AC3, so its not simply AC3 decoding.

Here is the audio details of a file where I'm seeing this. I haven't tested others yet.

Audio
ID : 1
Format : MPEG Audio
Format version : Version 1
Format profile : Layer 3
Codec ID : 55
Codec ID/Hint : MP3
Duration : 44mn 20s
Bit rate mode : Variable
Bit rate : 128 Kbps
Channel(s) : 2 channels
Sampling rate : 48.0 KHz
Stream size : 47.2 MiB (13%)
Alignment : Aligned on interleaves
Interleave, duration : 24 ms (0.58 video frame)

Tim Potter (musikgoat) wrote :

To add to this, its not related to the network transfer, as i invoked it seeking through the file locally as well. Also I noticed at the time where the sound goes out and the crash happens, my sound status icon shows dashes for about 2 seconds, as if pulseaudio is restarting.

Bernat (berarma) wrote :

Matt Zimmerman gives a good hint about this issue on bug 532586 comments #14, 15 and #16. It might be related to a cpu load limit.

Tim Potter (musikgoat) wrote :

Bernat, that makes sense. I am able to reproduce the problem quickly when my CPU is downclocked into power saver mode, however, even at max power, it was reproduced once.

I've never seen this error until now, using 9.10 UNR never had any problem.

affects: gstreamer0.10 (Ubuntu) → pulseaudio (Ubuntu)
GuyR (guy-rouger) wrote :

@ubuntu-desktop:~$ uname -a
Linux ubuntu-desktop 2.6.32-22-generic-pae #33-Ubuntu SMP Wed Apr 28 14:57:29 UTC 2010 i686 GNU/Linux

Occurs when reading a commercial DVD with Totem player

David Henningsson (diwic) wrote :

This is very likely pulseaudio crashing for some reason. Can somebody who can reproduce this bug under an updated Lucid provide a PulseAudio log?
https://wiki.ubuntu.com/PulseAudio/Log

Possibly a backtrace would also be helpful.

Eugene Dounar (eugene-dounar) wrote :

Here is pulseaudio log as described in https://wiki.ubuntu.com/PulseAudio/Log

Eugene Dounar (eugene-dounar) wrote :

Affecting this bug on UNT 10.04 on Acer 531 laptop
https://wiki.ubuntu.com/PulseAudio/Log

jasownwyz98 (jasonwyz98) wrote :

Hi

Same here, I'm using Ubuntu 10.04 and Totem crash with the message "pa_stream_writable_size() failed: Connection terminated".

BTW: This happened while playing .mkv and xvid files.

Changed in pulseaudio:
status: Unknown → New
Doug McMahon (mc3man) wrote :

See if removing gstreamer0.10-pusleaudio resolves

If you have a 5.1 sound system it will cost you 5.1 output - (vs. 6 ch. output which will remain), so not a solution

John D Marsden (jdmarsden) wrote :

Removing gstream0.10-pulseaudio resolves the problem for me on a Toshiba NB200 with:

john@JDM-NB:~$ uname -a
Linux JDM-NB 2.6.32-22-generic #33-Ubuntu SMP Wed Apr 28 13:27:30 UTC 2010 i686 GNU/Linux

Totem Movie Player 2.30.2 using GStreamer 0.10.28

and (after removal of gstream0.10-pulseaudio):

john@JDM-NB:~$ dpkg -l | egrep -e 'alsa|pulse'
ii alsa-base 1.0.22.1+dfsg-0ubuntu3 ALSA driver configuration files
ii alsa-utils 1.0.22-0ubuntu5 ALSA utilities
ii bluez-alsa 4.60-0ubuntu8 Bluetooth audio support
ii gstreamer0.10-alsa 0.10.28-1 GStreamer plugin for ALSA
ii libcanberra-pulse 0.22-1ubuntu2 PulseAudio backend for libcanberra
ii libesd-alsa0 0.2.41-6ubuntu1 Enlightened Sound Daemon (ALSA) - transition
ii libpulse-browse0 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 PulseAudio client libraries (zeroconf suppor
ii libpulse-mainloop-glib0 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 PulseAudio client libraries (glib support)
ii libpulse0 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 PulseAudio client libraries
rc libsdl1.2debian-alsa 1.2.13-4ubuntu4 Simple DirectMedia Layer (with X11 and ALSA
ii libsdl1.2debian-pulseaudio 1.2.14-4ubuntu1 Simple DirectMedia Layer (with X11 and Pulse
ii pulseaudio 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 PulseAudio sound server
ii pulseaudio-esound-compat 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 PulseAudio ESD compatibility layer
ii pulseaudio-module-bluetooth 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 Bluetooth module for PulseAudio sound server
ii pulseaudio-module-gconf 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 GConf module for PulseAudio sound server
ii pulseaudio-module-x11 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 X11 module for PulseAudio sound server
ii pulseaudio-utils 1:0.9.22~0.9.21+stable-queue-32-g8478-0ubuntu14 Command line tools for the PulseAudio sound

Thought I'd chime in and add that I'm having this error too:

pa_stream_writable_size() failed: Connection terminated

...when trying to watch DVD's in Totem. VLC seems absolutely fine.

jefdebruges (jefdebruges) wrote :

Same problem here... Streaming them with DLNA/UPnP doesn't work neither... Jeez, that's basic stuff from the nineties man, streaming video over lan! "Ubuntu: can't even play vids over LAN", not a nice slogan, I would say... And with VLC, it's not that superbug we have here, but an annoying glitch every 5 to 10 minutes of watching over LAN... But I guess that's another bug... Something like a buffer-underrun although the wireless connection is 54mbits, 100%... Not a windows-fan myself, but I sure never had these kinds of time-consuming, 6 months-to-resolve bugs (if they ARE getting resolved by the maintainers, that is) to do basic stuff like watching a vid with a laptop and streaming it from my homeserver. That's it: i'm reinstalling my laptop with the legal xp it came with... At least THAT works... Bye folks! Happy bugging!

macfanboy (macfanofgi) wrote :

HP Mini 1030NR, UNR 10.04 x86-32, Totem 2.30.0+Gstreamer 1.10.28, The Blind Side via HP DVD-555s. Confirmed.

HannesB (hannesb) wrote :

Same Problem here:
10.04 32-bit
Totem + DVB-t stick generates "pa_stream_writable_size() failed", but only for some channels, might be if I got a bad signal.

totem says:
** Message: Error: pa_stream_writable_size() failed: Verbindung beendet
pulsesink.c(1386): gst_pulseringbuffer_commit (): /GstPlayBin2:play/GstPlaySink:playsink0/GstBin:abin/GstBin:audiosinkbin/GstGConfAudioSink:audio-sink/GstBin:bin16/GstAutoAudioSink:autoaudiosink8/GstPulseSink:autoaudiosink8-actual-sink-pulse

dmesg says:
Jun 11 07:36:09 hannes-desktop pulseaudio[4092]: ratelimit.c: 6 events suppressed
Jun 11 07:36:11 hannes-desktop pulseaudio[4092]: asyncq.c: q overrun, queuing locally
Jun 11 07:36:12 hannes-desktop pulseaudio[4092]: last message repeated 5 times
Jun 11 07:36:12 hannes-desktop pulseaudio[4128]: pid.c: Stale PID file, overwriting.
sometimes it says only "Stale PID file, overwriting"

Arnold_Layne (kostet) wrote :

Nobody knows how it's made :-P

john shorrock (john-shorrock) wrote :

core2 duo on gigabyte pcb same error when playing DVD in movie player

pablomme (pablomme) wrote :

Ok, does anyone who suffer from this *not* use an -rt kernel? My desktop PC, where I always boot the current Lucid -rt kernel, has it. My laptop, which runs the -generic kernel, has never had any problems with sound.

May this have something to do with pulseaudio's use of rtkit and the interaction of the latter with the -rt kernel? Or with older kernel versions in general (in Lucid the -rt kernel is 2.6.31 instead of 2.6.32)?

Also, one annoying manifestation of this problem (I think!) is flash videos losing sound half-way through playback - anyone else seen this?

A. Tombol (atombol) wrote :

i have this problem with the generic kernel
flash loses sound too sometimes

Doug McMahon (mc3man) wrote :

While there are several different scenarios here, from all my machines that become affected the culprit seems to be the gstreamer0.10-pusleaudio package.

Those affected and still bothering to ck. this bug should see if removing helps.

At least here it only occurs on setups with 5.1 sound and pulse set to output 5.1 analog.
The initial format to cause this would be 5.1 .ac3, whether on a dvd or an audio file.

The same behaviour is continuing into Maverick (10.10

bug report concerning 5.1 .ac3 in gstreamer, both lucid and maverick (as ignored as this bug which is par for the course when concerning pulseaudio
https://bugs.launchpad.net/ubuntu/+source/gst-plugins-good0.10/+bug/554002

I'm linking this forum thread: http://ubuntuforums.org/showthread.php?p=9365153 which also discusses the same thing.

As far as I remember, I didn't have this problem before my last update (which I don't remember the packages). Sorry...

Doug,
Thanks for the suggestion. I have removed the package and will see how it
goes. Though, it isn't exactly a fix, I hope this problem can eventually be
fixed at the source vs a 'workaround'.

On Sat, Jul 24, 2010 at 11:43 AM, zszoet <email address hidden> wrote:

> As far as I remember, I didn't have this problem before my last update
> (which I don't remember the packages). Sorry...
>
> --
> Mediaplayer crashed with "pa_stream_writable_size() failed: Connection
> terminated"
> https://bugs.launchpad.net/bugs/496616
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in PulseAudio sound server: New
> Status in “pulseaudio” package in Ubuntu: Confirmed
>
> Bug description:
> Sometimes when totem or gmplayer plays mediafile, it chuches with error
> "pa_stream_writable_size() failed: Connection terminated".
>
> I saw this bug in totem on computers with Ubuntu 9.10 i386 architecture in
> totem and gmplayer (but not in vlc or smplayer or mplayer runned from
> console).
>
> ProblemType: Bug
> Architecture: i386
> CheckboxSubmission: 8a8639337c9d4a4ec96392cc5c15521b
> CheckboxSystem: daed2f3d6643b4a84b4520a2427f8c2b
> Date: Mon Dec 14 20:16:13 2009
> DistroRelease: Ubuntu 9.10
> NonfreeKernelModules: nvidia
> Package: libgstreamer0.10-0 0.10.25-2
> ProcEnviron:
> LANG=ru_RU.UTF-8
> SHELL=/bin/bash
> ProcVersionSignature: Ubuntu 2.6.31-9.152-rt
> SourcePackage: gstreamer0.10
> Uname: Linux 2.6.31-9-rt i686
>
>
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/pulseaudio/+bug/496616/+subscribe
>

Ryan (ryanmail03) wrote :

I was able to fairly reliably reproduce the "pa_stream_writable_size() failed: Connection terminated" in totem by playing a particular DVD for a minute or two and pausing until this laptop's drive spun down. On this laptop, the problem then appears when resuming playback.

Doug: I have now removed the gstreamer0.10-pulseaudio package, and so far this error has not reoccurred.

John Baptist (jepst79) wrote :

I have a video file that can produce this error reliably in five seconds in totem. Removing gstreamer0.10-pulseaudio package fixes the problem. So, my questions are:

1. Are there any potential negative consequences to removing this package?
2. If not, why is it installed at all?
3. Are there any plans to fix the package, so that this problem does not occur on new systems? That is, is someone from gstreamer and/or PA willing to take responsibility for this?

Doug McMahon (mc3man) wrote :

John Baptist wrote >
"Are there any potential negative consequences to removing this package?"

Certainly there are -
the one clear consequence is that if you have a 5.1 setup and are using pulseaudio that while you will get 6 channel output the 5.1 channel mapping will be incorrect in gstreamer players

There are numerous 5.1 ac3 test files available - here's one
http://www.lynnemusic.com/surround.html

or just
wget http://www.lynnepublishing.com/surround/www_lynnemusic_com_surround_test.ac3

If you are not using 5.1 and experiencing pulse crashing with other formats this may resolve with no real consequence

The real purpose of removing the plugin in this bug report is to test and possibly point to the most likely culprit - the gstreamer pulseaudio plugin (gst-plugins-good ) and see if it resolves the issue for file types other than .ac3

John Baptist wrote >
"That is, is someone from gstreamer and/or PA willing to take responsibility for this"

Apparently not - the bug I posted against gst-plugins-good, linked in post # 37 has been ignored - if removing the plugin resolves for ac3 5.1 in a 5.1 setup then marking "..affects me.." would be good
(though it is specific to 5.1 output and .ac3 files

John Baptist (jepst79) wrote :

Doug, thanks for your response. I listen to audio exclusively through headphones or tiny notebook speakers, so the loss of surround sound quality does not scare me. Also, I should point out that the videos that were crashing before I removed the package were indeed AC3 surrounded sound encoded, so that may be the source of the problem. I have added myself to your other bug. It would be great if we could get someone to look at it.

Shock (mmiron) wrote :

$ uname -a
Linux shock 2.6.32-24-generic #41-Ubuntu SMP Thu Aug 19 01:38:40 UTC 2010 x86_64 GNU/Linux

This bug is triggered almost every time I play a file with Totem.

noname34578 (max2012) wrote :

Linux maxim-desktop 2.6.32-24-generic #42-Ubuntu SMP Fri Aug 20 14:24:04 UTC 2010 i686 GNU/Linux

Same here. Totem show "pa_stream_writable_size() failed: Connection terminated" after 10 seconds - couple minutes of any video, that i have. Flash on youtube show video OK, but sound crashes after couple of minutes of playback. VLC have no problems.

Yeah, the problem is definitely with the sound, not the video! I think VLC uses, it's own codecs. It's strange, because I'm getting the message after 2-3 seconds already... It does not start playing the sound at all, but I see a couple of the first frames.

jctolton (jctolton) wrote :

I am having this same bug. When I attempt to play a commercial DVD on Totem I get a "pa_stream_writable_size() failed: Connection terminated"

 I also get the streaming flash video sound loop problem pablomme mentioned.

Please see the log of my error for additional information.

noname34578 (max2012) wrote :

Sorry, i was wrong- VLC player don't play media files right too. It has same bug. After appr. 5 minutes of video file, sound disappears too. Video in this situation still running. Hope you can fix it in new releases. Thank you!

In my case, the corrupted video (created in Pitivi) plays well in VLC, as if everything was all right. And yeah, VLC uses it's own codecs...

So it loks like there can be more different reasons for why it gives u the error message!

But, please, could some of the developers expain us, what exactly "writable size" and "connection terminated" means, it's really difficult to examine the issue, if u can't understand the error message you're given. So it's the size of WHAT? And the connection of WHAT TO WHAT?

pablomme (pablomme) wrote :

@zsolt.ruszinyák

> And yeah, VLC uses it's own codecs...

This should not matter. Are you using pulseaudio as the audio backend for VLC, or are you using ALSA/OSS/etc instead?

> So it's the size of WHAT? And the connection of WHAT TO WHAT?

I would think this is an error message triggered when the application (Totem) queries the pulseaudio daemon for the audio buffer size and doesn't receive a satisfactory reply (possibly because of a timeout), which terminates the connection between pulseaudio and the application. This error message is clearly not directed to end users anyway, probably because it was thought to be a technical problem which shouldn't occur at all (but of course needed to be handled to make totem crash-proof). In any case Totem's error message couldn't possibly diagnose every pulseaudio problem correctly.

I must insist on the rt kernel + rtkit issue, since I never get this problem with the generic kernel. I'll re-pose my previous question: does everyone here who use the generic kernel have rtkit installed? Any ideas from devs on how to determine whether rtkit is working properly?

I was able to resolve it by adding this line "options snd-hda-intel model=hp-dv5 enable_msi=1" in /etc/modprobe.d/alsa-base.conf. I am using HP Pavilion dv3t notebook.

I noticed the error occurs when a USB device is plugged in while I'm playing video or audio.

To be sure that rtkit is being used, you need to examine the log output from pulseaudio. If rtkit is working, you should see the following message:

: core-util.c: RealtimeKit worked.

Thank u, Pablomme, for the clarification of this.

> Are you using pulseaudio as the audio backend for VLC, or are you using ALSA/OSS/etc instead?

I'm not really sure, how to learn this, I didn't see anything in the VLC setup...

I'm using the generic kernel and have the rtkit package installed.

I want to stress, that in my case it's only 1 file, which is troublesome and, as I'm a subscriber from a duplicate, I attach it here too.

for JeanAustinR:

> I noticed the error occurs when a USB device is plugged in while I'm playing video or audio.

By USB devices u mean a mouse too? Because removing the mouse didn't change anything for me. Tomorrow, I'm gonna try ur workaround. But could u tell me, how did u figure out "model=hp-dv5"? Cause I assume, I should replace this to use it here. Thanx!

And, actually, it would be interesting to to try this out in Fedora 13, which is said to have a far better implementation of Pulseaudio, than Ubuntu.

David Henningsson (diwic) wrote :

PulseAudio can crash for many different reasons, so it is not certain all reporters have the same root cause.
Looking at the latest log (from jcolton), it seems to get stuck in an endless loop of rewinds. After a while, this crazy thing happens:

( 40.601| 0.000) D: source.c: Processing rewind...
( 40.602| 0.001) W: asyncq.c: q overrun, queuing locally
( 40.602| 0.000) W: asyncq.c: q overrun, queuing locally
( 40.604| 0.001) W: asyncq.c: q overrun, queuing locally
( 40.604| 0.000) D: protocol-native.c: Requesting rewind due to rewrite.
( 40.604| 0.000) D: alsa-sink.c: Requested to rewind 103408 bytes.
( 40.604|18446744073709.551) W: asyncq.c: q overrun, queuing locally
               ^^^^ <- hmm, memory overwrite?
( 40.604| 0.000) D: alsa-sink.c: Limited to 11708 bytes.
( 40.605| 0.000) D: alsa-sink.c: before: 2927
( 40.605| 0.000) D: alsa-sink.c: after: 2927
( 40.605| 0.000) D: alsa-sink.c: Rewound 11708 bytes.
( 40.605| 0.000) D: sink.c: Processing rewind...

After yet some time, PulseAudio is probably being killed by the kernel for taking up too much RT prio time.

It would be interesting to know is the latest stable-queue rewind patch would help against this issue. I have a feeling it won't, but it could be worth checking.

jctolton (jctolton) wrote :

Just for kicks, David, where would one find this 'latest stable-queue rewind patch'?

Daniel T Chen (crimsun) wrote :

jctolton, Maverick's version has the aforementioned rewind patch.

eMJayy (fungie55) wrote :

I've been experiencing this issue and wrote about it in bug #532586. This seems to me to be the same bug. In my case, it's only occurring when I switch one of my 2 desktop PCs over to outputting 5.1 analog surround sound. The other machine uses 5.1 without any problems.

On the problematic machine, I dual boot Ubuntu 32 bit and 64 bit and both were affected. However the problem appears to have suddenly disappeared on the 64bit Ubuntu. For the last few days, I've been playing DVDs and watching flash video through 5.1 analog output and haven't been able to trigger the problem once. I was still able to trigger it this afternoon on the 32bit Ubuntu after just 10 minutes of watching a DVD with surround sound set to 5.1 analog. I then switched to the 64bit Ubuntu and watched the same DVD movie without a hitch. Yesterday, I was able to watch over 2 hours of flash video on YouTube without triggering the bug. Before, it only took a minute or two of playback before the audio would disappear.

Everything on both Ubuntu installations is the same with the exception that I've been using the latest Alsa driver modules on the 64bit Ubuntu, which I installed some time ago using the instructions here: https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules

Initially, when I first installed the new modules, I saw no effect, but I kept monitoring it since new updates were coming in every few days. Once I realized that the problem may have gone away, I halted the alsa module updates. At this time, I'm using the module with the version number 2.6.32-24.201009201600.

A. Tombol (atombol) wrote :

I upgraded today to Maverick. The problem is still there. I'm using a simple stereo setup. The media is an average mp3 stream. Sound freezes in Rhythmbox, Exaile and Audacious too.
I attach my pulseverbose.log

eMJayy (fungie55) wrote :

This is the pulseverbose.log for the 32bit version of Ubuntu on this machine. It has now been a week since the 64bit Ubuntu dual-booting on this machine last displayed sound drops.

On Maverik netbook edition installed from scratch and updated the problem is not only present, but persistent.

 =--> Cannot play a single movie in Totem movie player. <--=

Isn't it really a bug indeed?

An error occurred:
pa_stream_cork() failed: Connection terminated

and

pa_stream_writable_size() failed: Connection terminated

This pulseaudio is still not ready for daily use, just problems since the beginnings.

Tony Walker (tony-walker-tw) wrote :

I've had working audio and mplayer since 8.04, but since the upgrade to 10.10, no videos will play - after a few seconds I get the problem regarding pa_stream_cork failed.
This is every single video I play through mplayer - it doesn't start to go wrong after a while, it doesn't get worse - it simply doesn't work.

Can we please categorise this as a high-priority bug? At the least, provide a backport to the 10.04 (or earlier) version so that I can watch videos again please.

If you want any extra information, please let me know - I'll gladly provide the information.

Mike (mike-zak) wrote :

Exactly the same here, was fine in lucid, but now upgraded to maverick unable to play videos in any application, including xbmc.

madbiologist (me-again) wrote :

Mike - that's odd. I haven't had any negative changes in audio/video playback between Lucid and Maverick. I did a clean install though. Maybe it's related to the upgrade process. Can you test with the Maverick Live CD?

Pyros (pyros) wrote :

Same machine,
Fresh install with ubuntu netbook edition 10.04 was fine.
Just installed a 10.10 (netbook edition) in a new partition and i get this erreur with totem (local files or upnp)

Both intalled from live cd with no customisation...

Daniel T Chen (crimsun) wrote :

Will everyone experiencing this symptom please do the following?

1. File a separate bug report against alsa-driver (using "ubuntu-bug alsa-base"), and title it "[alsa-driver] pa_stream_writeable_size() failed". *This step is critical, otherwise we won't get sufficient hardware information to diagnose this bug.*

2. Reproduce the symptom using the latest daily build of alsa-driver. See https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules.

3. If, after a reboot, you still experience the symptom, please use apport-collect #, where # is the bug report # of the *new* bug that you filed in step (1) above.

Thanks!

Daniel T Chen (crimsun) wrote :

Next step: will everyone experiencing this symptom also read https://wiki.ubuntu.com/PulseAudio/Log?

Guys, I was wondering if all of u use pulseaudio-equalizer? Because I noticed that pulseaudio is running by default in Maverick without problems, but since I installed and activated the equalizer, I haven't been able to play anything... I have a 32-bit Ubuntu 10.10 and when installing pulseaudio-equalizer I pasted the file qpaeq.py into /usr/bin which I also include here.

Pulseadio-equalizer is the only reason why I've been using pulseaudio.

And forgot to say that in 10.04 I could play my files, only sometimes not, so I think the problem is somewhere in "qpaeq.py" (might be not suitable for 10.10) or in LADSPA, in my case!

For Daniel:
>2. Reproduce the symptom using the latest daily build of alsa-driver. See https://wiki.ubuntu.com/Audio/InstallingLinuxAlsaDriverModules.

The good news: this has solved my issue, I can play sound now!

The bad news: it looks like it has made Pitivi unusable, it crashes either when loading a file onto the project area, or during the seeking when playing the preview!

I can't test the problem properly, cause even after uninstalling the package, everything stays the same... Now I just can't edit my videos. :( So think twice before installing this package!!!

noname34578 (max2012) wrote :

well, i was complaining about this problem when i had 10.04 release. But looks like that 10.10 works better but it definatelly still has some lags (sound stops for 0.5 second all the times, video a _little bit_ "crashes" periodically but in general it works fine).

rpanachi (rpanachi) wrote :

I had the same problem, but removing gstreamer0.10-pulseeaudio works for me. Tks

Jay S (topdownjimmy) wrote :

Is this not a duplicate of bug #417976 ?

carbonariy (carbonariy) wrote :

Try to updating pulseaudio from ppa:ricotz/unstable. On my system (ASUS UL30A) this action resolve any sound problem (was https://bugs.launchpad.net/pulseaudio/+bug/496616 now all good).

Abdusamed Ahmed (sir508) wrote :

Randomly, totem seem to crash and VLC too, Banshee freezes. The funny thing is that only smplayer seems to play when all other players die

David Henningsson (diwic) wrote :

Hi folks,

This problem has been going on for far too long, and last week I spent a lot of time trying to nail it down, and trying to find the causes for these problems. I'm talking of the case where PulseAudio get stuck in rewind after rewind, finally getting killed by the kernel for using too much RT Prio time. (It might be that for some people, PA crashes for other reasons.)
Unfortunately, it's a quite complex problem, probably without one easy fix that works for all. I have also had some problems reproducing it reliably here.

Anyway, I have made a test ppa with five fixes in; two in gstreamer and three in pulseaudio. My guess is that using them will improve the situation for some people, but perhaps not for everyone. The ppa is here: https://launchpad.net/~diwic/+archive/fighting-rewinds and is meant for users running Maverick. I would be glad for some feedback of whether they improve the situation or not.
To test: install either the gstreamer pulseaudio plugin, pulseaudio, or both, from my ppa. (For pulseaudio, make sure you upgrade both libpulse and pulseaudio.) Then logout/login (or reboot).

pablomme (pablomme) wrote :

@David: thanks for this. I just realized there has been a recent release of pulseaudio (0.9.22), on which your modified packages are based. It could be that this new release fixes these problems, and if we try your pulseaudio packages directly we may think the solution lies in the wrong patchset. Is there a PPA with the unmodified pulseaudio 0.9.22 packages somewhere for us to test as well?

David Henningsson (diwic) wrote :

@pablomme, 0.9.22, unchanged and for Maverick, is currently available here: https://launchpad.net/~ubuntu-audio-dev/+archive/ppa

Changed in pulseaudio (Ubuntu):
status: Confirmed → Incomplete
pablomme (pablomme) wrote :

@David: I've had a little free time to test this on my Maverick PC with the 2.6.33-rt kernel which suffers from this. I tested by opening several wav/mp3 files with Totem, skipping around in the timeline for about a minute or until the bug was triggered. I found that:
- pulseaudio 0.9.22 does not solve the problem
- your pulseaudio package alone seems to solve the problem
- your gstreamer package alone seems to solve the problem (now thinking, does this affect mp3 playback? maybe I didn't insist enough on the mp3s this time around)
- both your packages at the same time seem to solve the problem
The fact that both updated packages independently fix the issue would appear to indicate that this bug is (at least in my case) the consequence of several sub-optimal bits of code rather than a single point of failure...

Götz Christ (g-christ) wrote :

Is this bug the same as https://bugzilla.redhat.com/show_bug.cgi?id=566915 ?
If so, as a workaround you can change in daemon.conf the resample-method to a cheaper/faster resample.

elleP (pelle-quicknet) wrote :

It seems so, in/etc/pulse/daemon.conf changing

resample-method = speex-float-1

into

; resample-method = speex-float-1
resample-method = trivial

enables playback on my machine, which had broken audio in gstreamer for months. (I switched to gnome-mplayer to avoid this bug)

elleP (pelle-quicknet) wrote :

Since the problem is apparently re-sampling related, I decided to give the following a go:

Keep the 'resample-method' at 'speex-float-1', and changing the line

; default-sample-rate = 44100

into

default-sample-rate = 48000

Forcing pa to use a 48k resampling rate. To my amazement this works.
This should result in an higher cpu usage when playing music with a 44k1 sample rate, but video playback is possible again using gstreamer.

Marcus Johnson (vi3-game-hkr) wrote :

Ubuntu 10.10 same problem.
I get "pa_stream_cork() failed: Connection terminated" and "pa_stream_writable_size() failed: Connection terminated" when I try to play DVDs with Totem Movie Player 2.32.0 (GStreamer 0.10.30) and every few songs in Rhythmbox 0.13.1 I get the pa_stream_writable_size() one.

Neither of elleP's quick fixes work for me

I am a bit of a newcomer to linux, but I did my best to install David Henningson's package, by typing
 sudo add-apt-repository ppa:diwic/fighting-rewinds
 sudo apt-get update
 sudo apt-get dist-upgrade
and then logging out/in, and to no avail.

Now, since that didn't work, if I simply remove that repository, will I be able to receive regular upgrades to the packages replaced in the future? or will I have to do something else for that?

BTW, VLC seems to work for me, I haven't tried any other media players.

Aaron Bennett (abennettitsi) wrote :

I am receiving this bug ONLY when I play any .mov files in Media Player accessed locally on the internal mounted HDD. All other movies and ALL music is playing just fine, over the network, from a mounted external drive and locally from the mounted HDD. Here is the log I produced, attached.

I am running Ubuntu 10.10 Netbook on a MSI U123, dual boot with Win XP home. If you need any other information, please let me know.

Thanks Aaron

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.